Bug 199793 - Add a button to postpone a break
Summary: Add a button to postpone a break
Status: RESOLVED FIXED
Alias: None
Product: rsibreak
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Juan Luis Baptiste
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-11 18:44 UTC by Artem S. Tashkinov
Modified: 2010-10-14 15:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Artem S. Tashkinov 2009-07-11 18:44:39 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

There would be nice if there was an option to postpone a break with a selectable postpone time (say 3 minutes by default). Sometimes I absolutely need to finish some task/conversation and it'll be better if I was able not to skip break but to postpone it.

So, in full screen mode RSIBreak may have these buttons:

[Skip] [Postpone] [Lock]
Comment 1 Tom Albers 2009-07-12 16:39:07 UTC
I'll try for the next release. As you are using RSIBreak from source, could you update to current svn and give some feedback about the current state? I like to make a new release and would like some feedback first. I'll make a beta release today too. Thanks for all the reports!
Comment 2 Artem S. Tashkinov 2009-07-12 18:02:59 UTC
I will fetch and try SVN version next week. Thanks for you work!
Comment 3 Artem S. Tashkinov 2009-07-13 06:43:11 UTC
OK, here are my impressions about Version 0.10-beta1 of RSIBreak.

1) I'm not using desktop effects, so "Simple Gray effect" doesn't work for me at all.

As such RSIBreak should detect whether desktop effects are enabled or not, and if they are not then "Simple Gray effect" should be marked as unusable and transparency level should be set to 100% solid with no possibility of changing it.

2) "Show Plasma Dashboard" did nothing for me. I could still use my KDE session (the only indicator of RSIBreak running was a timer on the top of the screen). Should one run RSIbreak plasma applet in order this feature to work?

3) "No Full Screen Effect" isn't clear at first sight. Probably it should be renamed to "Show a passive systray notification".

4) "Slideshow" doesn't work for me. Probably because my Pictures folder is a symbolic link to a different location. (/home/birdie/pictures/Wallpapers points to /srv/.../Wallpapers).

--- 10 minutes later. ---

Slideshow doesn't work even if I set slideshow folder to a real location. I have just strace'd rsibreak and it doesn't even want to enumerate contents of the slideshow folder.

5) After configuring RSIBreak, current progress of break interval is always reset. I think it should only happen if user has changed break intervals times or breaks' durations.
Comment 4 Artem S. Tashkinov 2009-07-14 19:37:40 UTC
Thank you!

1) done
2) done
3) done
4) done
5) bug 200026

This wish (bug 199793, comment 1) still holds true. ;)
Comment 5 Juan Luis Baptiste 2010-08-25 05:52:57 UTC
Ok I'm looking at this right now. I think stats need to be modified too, I need to figure that one out.
Comment 6 Tom Albers 2010-09-30 01:58:57 UTC
Juan, still working on this?
Comment 7 Juan Luis Baptiste 2010-09-30 16:22:04 UTC
Kinda yes, I worked a little bit after I emailed you but currently I haven't had much free time. I hope to work on it this weekend and email you some questions I have.
Comment 8 Tom Albers 2010-10-01 22:22:23 UTC
Juan, great. I want to make a release this weekend, so if you can, please hurry. You just need to reset m_patience to zero and increase the tiny_left and big_left  in the RSITimer. I don't think we need to do anything with the stats for now.
Comment 9 Tom Albers 2010-10-01 22:56:18 UTC
I'll do a beta first, so no need to rush.
Comment 10 Juan Luis Baptiste 2010-10-14 15:11:45 UTC
Ok I finished this :)